avast! CAB / SIS File Handling Buffer Overflow

High Nessus Plugin ID 25337


The remote Windows host contains an application that is susceptible to buffer overflow attacks.


The remote host is running avast! Server Edition or Managed Client.

The version of the avast! product installed on the remote host is reportedly prone to a heap-based overflow in its CAB and SIS file processing code. An attacker may be able to exploit these issues to execute arbitrary code on the remote host, likely with LOCAL SYSTEM privileges.


Upgrade to avast! Server Edition 4.7.766 / avast! Managed Client 4.7.700 or later.

See Also




Plugin Details

Severity: High

ID: 25337

File Name: avast_cab_sis_overflows.nasl

Version: $Revision: 1.17 $

Type: local

Agent: windows

Family: Windows

Published: 2007/05/25

Modified: 2016/10/07

Dependencies: 13855

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

Required KB Items: SMB/Registry/Enumerated

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/05/16

Vulnerability Publication Date: 2007/05/24

Reference Information

CVE: CVE-2007-2845, CVE-2007-2846

BID: 24132, 24155

OSVDB: 36522, 36523

CWE: 119